SDL_GetRenderTextureAddressMode(3)

NAME
SDL_GetRenderTextureAddressMode - Get the texture addressing mode used in SDL_RenderGeometry().

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderTextureAddressMode(SDL_Renderer *renderer, SDL_TextureAddressMode *u_mode, SDL_TextureAddressMode *v_mode);

FUNCTION PARAMETERS

renderer
    the rendering context.

u_mode
    a pointer filled in with the SDL_TextureAddressMode to use for horizontal texture coordinates in SDL_RenderGeometry(), may be NULL.

v_mode
    a pointer filled in with the SDL_TextureAddressMode to use for vertical texture coordinates in SDL_RenderGeometry(), may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_SetRenderTextureAddressMode(3)